﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Shapes;
using System.Windows.Threading;
using Telerik.Charting;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ChartView;
using Telerik.Windows.Data;
using Telerik.Windows.Documents.Model;
using Telerik.Windows.Documents.FormatProviders.Pdf;
using System.IO;
using Telerik.Windows.Media.Imaging;

namespace SLApp
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }
    }

    public class MainViewModel
    {
        public ObservableCollection<PlotInfo> Data { get; private set; }

        public MainViewModel()
        {
            this.Data = new ObservableCollection<PlotInfo>();

            this.Data.Add(new PlotInfo { Neighborhood = "Neighborhood A", MalePopulation = 50475, FemalePopulation = 40598 });
            this.Data.Add(new PlotInfo { Neighborhood = "Neighborhood B", MalePopulation = 120557, FemalePopulation = 130756 });
            this.Data.Add(new PlotInfo { Neighborhood = "Neighborhood C", MalePopulation = 12889, FemalePopulation = 12905 });
            this.Data.Add(new PlotInfo { Neighborhood = "Neighborhood D", MalePopulation = 80089, FemalePopulation = 56132 });
            this.Data.Add(new PlotInfo { Neighborhood = "Neighborhood E", MalePopulation = 32733, FemalePopulation = 34999 });
            this.Data.Add(new PlotInfo { Neighborhood = "Neighborhood F", MalePopulation = 48685, FemalePopulation = 49783 });
            this.Data.Add(new PlotInfo { Neighborhood = "Neighborhood G", MalePopulation = 75456, FemalePopulation = 80454 });
            this.Data.Add(new PlotInfo { Neighborhood = "Neighborhood H", MalePopulation = 45612, FemalePopulation = 70612 });
        }
    }

    public class PlotInfo
    {
        public string Neighborhood { get; set; }
        public double MalePopulation { get; set; }
        public double FemalePopulation { get; set; }
    }
}